<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmFile5 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmFile5 Interface

Visual Basic
C#
C++/CLI

Allows you to access a file in SOLIDWORKS PDM Professional.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmFile5
       Inherits IEdmObject5

C# |
--- | ---

    public interface IEdmFile5 : IEdmObject5

C++/CLI |
--- | ---

    public interface class IEdmFile5 : public IEdmObject5

# Example

Traverse Folders and Files in Vault (C#)
Traverse Folders and Files in Vault (VB.NET)
Get File References for a File (C#)
Get File References for a File (VB.NET)
Set Part Number Using Default Serial Numbers (C#)
Set Part Number Using Default Serial Numbers (VB.NET)
Get File Information (VB.NET)
Get File Information (C#)

# Remarks

This interface:

- inherits from IEdmObject5.
- is extended by IEdmFile6 which provides the ability to move, rename, and categorize files.

# Accessors

IEdmFolder5::GetFile

IEdmFolder5::GetNextFile

IEdmLabel5::GetNextFile

IEdmReference5::File

IEdmState5::GetNextFle

IEdmVault5::GetFileFromPath

IEdmVault5::GetObject

# See Also

####

IEdmFile5 Members
EPDM.Interop.epdm Namespace